Skip to content

Model Endpoints List

GET
/serving/inference
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Successfully retrieved list of deployments.

Media typeapplication/json
object
code

HTTP response status code

integer
data
Array<object>
object
id

Unique deployment ID

integer
model

Model details (nullable)

string
nullable
dataset

Dataset associated with the deployment (nullable)

string
nullable
model_type

Type of model (nullable)

string
nullable
sku

SKU ID

integer
name

Name of the deployment

string
storage_url

URL for storage (nullable)

string
nullable
dataset_storage_url

URL for dataset storage (nullable)

string
nullable
status

Deployment status

string
created_by
object
id

Creator’s user ID

integer
name

Name of the creator

string
email

Email of the creator

string
username

Username of the creator

string
created_at

Timestamp when the deployment was created

string format: date-time
updated_at

Timestamp when the deployment was last updated

string format: date-time
detailed_info
object
args

List of arguments

Array<string>
commands

List of commands

Array<string>
info_log

Whether info logs are enabled

boolean
error_log

Whether error logs are enabled

boolean
tokenizer

Tokenizer details (nullable)

string
nullable
world_size

World size for distributed systems

integer
warning_log

Whether warning logs are enabled

boolean
server_version

Server version (nullable)

string
nullable
hugging_face_id

Hugging Face model ID (nullable)

string
nullable
model_serve_type

Model serve type (nullable)

string
nullable
log_verbose_level

Verbosity level for logs

integer
replica

Number of replicas for the deployment

integer
framework

Framework used for the model

string
custom_endpoint_details
object
container
object
container_name

Name of the container

string
container_type

Type of container (public or private)

string
advance_config
object
liveness_probe

Liveness probe configuration

object
readiness_probe
object
path

Path for readiness check

string
port

Port for readiness probe

string
protocol

Protocol for readiness probe

string
period_seconds

Period between readiness probe checks

integer
timeout_seconds

Timeout for readiness probe

integer
failure_threshold

Number of failed attempts before marking as unhealthy

integer
success_threshold

Number of successful attempts before marking as healthy

integer
initial_delay_seconds

Initial delay before readiness probe starts

integer
image_pull_policy

Policy for pulling container images

string
is_liveness_probe_enabled

Whether liveness probe is enabled

boolean
is_readiness_probe_enabled

Whether readiness probe is enabled

boolean
private_image_details

Details for private image (if applicable)

object
public_ip

Whether the deployment has a public IP

string
resource_details
object
disk_size

Disk size for the deployment

integer
mount_path

Mount path for resources

string
env_variables

List of environment variables for the deployment

Array<string>
message

Success or error message

string
auto_scale_policy
object
min_replicas

Minimum replicas for auto-scaling

integer
max_replicas

Maximum replicas for auto-scaling

integer
rules
Array<object>
object
value

Value for scaling condition

integer
metric

Metric for scaling condition

string
window

Window size for scaling

integer
granularity

Granularity of the metric

integer
watch_period

Watch period for scaling

integer
condition_type

Type of condition for scaling

string
custom_metric_name

Custom metric name (nullable)

string
nullable
stability_period

Stability period before scaling

string
is_auto_scale_enabled

Whether auto-scaling is enabled

boolean
desired_replica

Desired number of replicas

integer
model_load_integration_id

Integration ID for model load

integer
sku_details
object
specs
object
sku_id

SKU identifier

integer
name

SKU name

string
series

SKU series

string
cpu

Number of CPUs

integer
gpu

Number of GPUs

integer
memory

Memory in GB

integer
is_free

Whether the SKU is free

boolean
is_active

Whether the SKU is active

boolean
gpu_switch_type

GPU switch type (nullable)

string
local_storage_in_gb

Local storage in GB

integer
plan
object
sku_item_price_id

SKU item price ID

integer
sku_type

SKU type (e.g., hourly)

string
committed_days

Committed days for the plan

integer
unit_price

Unit price for the SKU

number
currency

Currency for pricing

string
is_active

Whether the plan is active

boolean
description

Description of the SKU plan

string
committed_info

Committed information (nullable)

object
committed_replicas

Committed replicas

integer
private_cloud_id

Private cloud ID (nullable)

string
nullable
custom_sku

Custom SKU details (nullable)

string
nullable
errors
object
key
additional properties
any
message

Success or error message

string

Example

{
"code": 200,
"data": [
{
"id": 3036,
"model": null,
"dataset": null,
"model_type": null,
"sku": 162,
"name": "tir-endpoint-1115165asd83333",
"storage_url": null,
"dataset_storage_url": null,
"status": "ready",
"created_by": {
"id": 3573,
"name": "Nipun",
"email": "nipun.arora@e2enetworks.com",
"username": "nipun.arora@e2enetworks.com"
},
"created_at": "2024-11-15T11:32:35.527296Z",
"updated_at": "2024-11-15T11:40:05.222359Z",
"detailed_info": {
"args": [],
"commands": [],
"info_log": true,
"error_log": true,
"tokenizer": "",
"world_size": 1,
"warning_log": true,
"server_version": "",
"hugging_face_id": "",
"model_serve_type": "",
"log_verbose_level": 1
},
"replica": 1,
"framework": "stable_diffusion_xl",
"custom_endpoint_details": {
"container": {
"container_name": "registry.e2enetworks.net/aimle2e/stable-diffusion-xl-base-1.0:hf",
"container_type": "public",
"advance_config": {
"readiness_probe": {
"path": "/v2/health/ready",
"port": "8080",
"protocol": "http",
"period_seconds": 10,
"timeout_seconds": 10,
"failure_threshold": 3,
"success_threshold": 1,
"initial_delay_seconds": 10
},
"image_pull_policy": "Always",
"is_liveness_probe_enabled": false,
"is_readiness_probe_enabled": false
}
},
"public_ip": "no",
"resource_details": {
"disk_size": 100,
"mount_path": "",
"env_variables": []
}
},
"message": "",
"auto_scale_policy": {
"min_replicas": 1,
"max_replicas": 1,
"rules": [
{
"value": 100,
"metric": "",
"window": 1,
"granularity": 1,
"watch_period": 60,
"condition_type": "limit",
"custom_metric_name": ""
}
],
"stability_period": "300"
},
"is_auto_scale_enabled": false,
"desired_replica": 1,
"model_load_integration_id": 428,
"sku_details": {
"specs": {
"sku_id": 162,
"name": "GDC.1xH200-30.375GB_SXM",
"series": "GPU",
"cpu": 30,
"gpu": 1,
"memory": 375,
"is_free": false,
"is_active": true,
"gpu_switch_type": null,
"local_storage_in_gb": 0
},
"plan": {
"sku_item_price_id": 755,
"sku_type": "hourly",
"committed_days": 0,
"unit_price": 470.4,
"currency": "INR",
"is_active": true,
"description": "Hourly Compute Instance: inference_service"
}
},
"committed_info": null,
"committed_replicas": 0,
"private_cloud_id": null,
"custom_sku": null
}
],
"message": "Success"
}